# Interface McastServiceMBean

All Known Implementing Classes:
  `McastService`

public interface McastServiceMBean
MBean interface for McastService.

## Method Summary

Modifier and Type
Method
Description
`Member`
`findMemberByName(String name)`
Find a member by name.
`String`
`getAddress()`
Get the multicast address.
`String`
`getBind()`
Get the bind address.
`byte[]`
`getDomain()`
Get the domain.
`long`
`getDropTime()`
Get the drop time.
`long`
`getFrequency()`
Get the heartbeat frequency.
`boolean`
`getLocalLoopbackDisabled()`
Get whether local loopback is disabled.
`String`
`getLocalMemberName()`
Get the local member name.
`String[]`
`getMembersByName()`
Get the member names.
`int`
`getPort()`
Get the multicast port.
`Properties`
`getProperties()`
Get the properties.
`int`
`getRecoveryCounter()`
Get the recovery counter.
`boolean`
`getRecoveryEnabled()`
Get whether recovery is enabled.
`long`
`getRecoverySleepTime()`
Get the recovery sleep time.
`int`
`getSoTimeout()`
Get the socket timeout.
`int`
`getTtl()`
Get the TTL.
`boolean`
`hasMembers()`
Check if there are members.

## Method Details

### getAddress

String getAddress()
Get the multicast address.

Returns:
  the address

### getPort

int getPort()
Get the multicast port.

Returns:
  the port

### getFrequency

long getFrequency()
Get the heartbeat frequency.

Returns:
  the frequency

### getDropTime

long getDropTime()
Get the drop time.

Returns:
  the drop time

### getBind

String getBind()
Get the bind address.

Returns:
  the bind address

### getTtl

int getTtl()
Get the TTL.

Returns:
  the TTL

### getDomain

byte[] getDomain()
Get the domain.

Returns:
  the domain

### getSoTimeout

int getSoTimeout()
Get the socket timeout.

Returns:
  the socket timeout

### getRecoveryEnabled

boolean getRecoveryEnabled()
Get whether recovery is enabled.

Returns:
  whether recovery is enabled

### getRecoveryCounter

int getRecoveryCounter()
Get the recovery counter.

Returns:
  the recovery counter

### getRecoverySleepTime

long getRecoverySleepTime()
Get the recovery sleep time.

Returns:
  the recovery sleep time

### getLocalLoopbackDisabled

boolean getLocalLoopbackDisabled()
Get whether local loopback is disabled.

Returns:
  whether local loopback is disabled

### getLocalMemberName

String getLocalMemberName()
Get the local member name.

Returns:
  the local member name

### getProperties

Properties getProperties()
Get the properties.

Returns:
  the properties

### hasMembers

boolean hasMembers()
Check if there are members.

Returns:
  true if there are members

### getMembersByName

String[] getMembersByName()
Get the member names.

Returns:
  the member names

### findMemberByName

Member findMemberByName(String name)
Find a member by name.

Parameters:
  `name` - the member name
Returns:
  the member